Loading...
Searching...
No Matches
Opm::Source Class Reference

## Classes

struct | SourceCell

## Public Member Functions

auto | size () const
auto | begin () const
auto | end () const
bool | operator== (const Source &other) const
double | rate (const std::array< int, 3 > &ijk, SourceComponent input) const
std::optional< double > | hrate (const std::array< int, 3 > &ijk, SourceComponent input) const
std::optional< double > | temperature (const std::array< int, 3 > &ijk, SourceComponent input) const
bool | hasSource (const std::array< int, 3 > &input) const
void | updateSource (const DeckRecord &record)
void | addSourceCell (const std::array< int, 3 > &ijk, const SourceCell &cell)
template<class Serializer>
void | serializeOp (Serializer &serializer)

## Static Public Member Functions

static Source | serializationTestObject ()

The documentation for this class was generated from the following files:

- opm/input/eclipse/Schedule/Source.hpp
- opm/input/eclipse/Schedule/Source.cpp